function startRequest()
{
  serwerTxt = document.getElementById('tfSerwer').value;
  plikTxt = document.getElementById('tfPlik').value;
  uzytkownikTxt = document.getElementById('tfUzytkownik').value;
  hasloTxt = document.getElementById('tfHaslo').value;
  var btnSprawdz = document.getElementById('btnSprawdz');

  url = "http://localhost/dane.php?serwer=" + serwerTxt;
  url += "&plik=" + plikTxt + "&uzytkownik=" + uzytkownikTxt;
  url += "&haslo=" + hasloTxt;
  url = encodeURI(url);

  btnSprawdz.disabled = true;
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  var div = document.getElementById('dataDiv');
  div.innerHTML = text;
}

function onEnd()
{
  var btnSprawdz = document.getElementById('btnSprawdz');
  btnSprawdz.disabled = false;
}